<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GangFormulas](./bitburner.gangformulas.md) &gt; [ascensionPointsGain](./bitburner.gangformulas.ascensionpointsgain.md)

## GangFormulas.ascensionPointsGain() method

Calculate ascension point gain.

**Signature:**

```typescript
ascensionPointsGain(exp: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  exp | number | Experience point before ascension. |

**Returns:**

number

The calculated ascension point gain.

